Skip to content

Get endpoint

GET
/v1/endpoints/{id}
curl --request GET \
--url https://api.hookbridge.io/v1/endpoints/ep_550e8400e29b41d4a716446655440000 \
--header 'Authorization: Bearer <token>'

Retrieve details of a specific endpoint. The signing secret is not included.

id
required
string
/^ep_[a-f0-9]{32}$/

Endpoint identifier (ep_ prefix + 32 hex chars)

Example
ep_550e8400e29b41d4a716446655440000

Endpoint details retrieved successfully

Media typeapplication/json
object
data

Full endpoint details (returned by GET /endpoints/:id)

object
id

Unique endpoint identifier

string
url

Webhook delivery URL

string format: uri
description

Optional description

string
rate_limit_rps

Rate limit in requests per second

integer
burst

Maximum burst size

integer
headers

Custom headers for webhook requests

object
key
additional properties
string
paused

Whether the endpoint is paused. When paused, messages are accepted but not delivered.

boolean
ephemeral

Whether this is an ephemeral (CI/test) endpoint

boolean
expires_at

When the ephemeral endpoint will auto-expire (only present for ephemeral endpoints)

string format: date-time
created_at

When the endpoint was created

string format: date-time
updated_at

When the endpoint was last updated

string format: date-time
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"data": {
"id": "ep_550e8400e29b41d4a716446655440000",
"url": "https://customer.app/webhooks",
"description": "Main production webhook",
"rate_limit_rps": 10,
"burst": 20,
"headers": {
"X-Custom-Header": "value"
},
"created_at": "2025-12-01T10:00:00Z",
"updated_at": "2025-12-06T12:00:00Z"
},
"meta": {
"request_id": "req_xyz123"
}
}

Unauthorized - Invalid or missing API key

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}

Resource not found

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "NOT_FOUND",
"message": "Message not found"
},
"meta": {
"request_id": "req_xyz123"
}
}
Personalize Examples

Enter your credentials to populate code examples throughout the docs.